Page MenuHomePhabricator

efl/gesture: remove manager's recognizer_get method
ClosedPublic

Authored by zmike on Jan 28 2020, 12:26 PM.

Details

Summary

this exposes internal objects that we shouldn't be exposing

Depends on D11220

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 28 2020, 12:26 PM
zmike updated this revision to Diff 28689.Jan 29 2020, 11:23 AM
zmike edited the summary of this revision. (Show Details)

rebase/rework

CHAN added a comment.Jan 29 2020, 11:30 PM

It was possible for the user to get the recognizer and set the recognizer's properties.

Efl.Canvas.GestureRecognizerLongTap glt = (Efl.Canvas.GestureRecognizerLongTap)gm.GetRecognizer(Efl.Canvas.GestureRecognizerType.LongTap);
glt.SetTimeout(2);

What is your plan to support above thing?

CHAN requested changes to this revision.Jan 29 2020, 11:30 PM
This revision now requires changes to proceed.Jan 29 2020, 11:30 PM
zmike added a comment.Jan 30 2020, 7:18 AM

We shouldn't be doing things in that way; we should instead be modifying the manager config value for timeout. There should be no reason to ever access recognizer objects directly.

I'm planning to remove the timeout property from the recognizers as well.

zmike requested review of this revision.Jan 30 2020, 7:18 AM
CHAN accepted this revision.Feb 4 2020, 11:50 PM

Thank you

This revision is now accepted and ready to land.Feb 4 2020, 11:50 PM
Closed by commit rEFLf9dacb581176: efl/gesture: remove manager's recognizer_get method (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:21 AM
This revision was automatically updated to reflect the committed changes.